[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TCustomApplication.Terminate

Terminate the application.

## Declaration

Source position: custapp.pp line 58

`public procedure TCustomApplication.Terminate; virtual;`

## Description

Terminate sets the Terminated property to True. By itself, this does not terminate the application. Instead, descendent classes should in their DoRun method, check the value of the Terminated property and properly shut down the application if it is set to True.

## See also

TCustomApplication.Terminated |  | Was Terminate called or not
TCustomApplication.Run |  | Runs the application.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.